MODULE PVM_Constants
! Fortran 90 version of the header file fpvm.h
! Laurent Gasser (lga@sma.ch), 16 September 1996
! Swiss Meterological Institute, Zuerich 
! Fortran 90 constants of PVM 3.3.11
!  -------------------------------------------------------------------
!          PVM version 3.3:  Parallel Virtual Machine System
!                University of Tennessee, Knoxville TN.
!            Oak Ridge National Laboratory, Oak Ridge TN.
!                    Emory University, Atlanta GA.
!       Authors:  A. L. Beguelin, J. J. Dongarra, G. A. Geist,
!     W. C. Jiang, R. J. Manchek, B. K. Moore, and V. S. Sunderam
!                    (C) 1992 All Rights Reserved
! 
!                               NOTICE
! 
!  Permission to use, copy, modify, and distribute this software and
!  its documentation for any purpose and without fee is hereby granted
!  provided that the above copyright notice appear in all copies and
!  that both the copyright notice and this permission notice appear in
!  supporting documentation.
! 
!  Neither the Institutions (Emory University, Oak Ridge National
!  Laboratory, and University of Tennessee) nor the Authors make any
!  representations about the suitability of this software for any
!  purpose.  This software is provided ``as is'' without express or
!  implied warranty.
! 
!  PVM version 3 was funded in part by the U.S. Department of Energy,
!  the National Science Foundation and the State of Tennessee.
!  -------------------------------------------------------------------
!     ----------------------------------
! 	  fpvm3.h
!
!     Definitions to be included with
!     User''s Fortran application
!     ----------------------------------
IMPLICIT NONE

!     --------------------
!     spawn 'flag' options
!     --------------------
      integer, parameter ::  PvmTaskDefault  =  0
      integer, parameter ::  PvmTaskHost     =  1
      integer, parameter ::  PvmTaskArch     =  2
      integer, parameter ::  PvmTaskDebug    =  4
      integer, parameter ::  PvmTaskTrace    =  8
      integer, parameter ::  PvmMppFront     = 16
      integer, parameter ::  PvmHostCompl    = 32
!     ----------------------------
!     support for old option names
!     ----------------------------
!      integer, parameter ::  PVMHOST  =  1
!      integer, parameter ::  PVMARCH  =  2
!      integer, parameter ::  PVMDEBUG =  4
!      integer, parameter ::  PVMTRACE =  8

!     -------------------------
!     buffer 'encoding' options
!     -------------------------
      integer, parameter ::  PVMDATADEFAULT = 0
      integer, parameter ::  PVMDATARAW     = 1
      integer, parameter ::  PVMDATAINPLACE = 2
!     ----------------------------
!     support for old option names
!     ----------------------------
!      integer, parameter ::  PVMDEFAULT = 0
!      integer, parameter ::  PVMRAW     = 1
!      integer, parameter ::  PVMINPLACE = 2

!     ----------------------
!     notify 'about' options
!     ----------------------
      integer, parameter ::  PVMTASKEXIT   = 1 
      integer, parameter ::  PVMHOSTDELETE = 2 
      integer, parameter ::  PVMHOSTADD    = 3 

!     --------------------------------
!     packing/unpacking 'what' options
!     --------------------------------
!      integer, parameter ::  STRING   = 0
!      integer, parameter ::  BYTE1    = 1
!      integer, parameter ::  INTEGER2 = 2
!      integer, parameter ::  INTEGER4 = 3
!      integer, parameter ::  REAL4    = 4
!      integer, parameter ::  COMPLEX8 = 5
!      integer, parameter ::  REAL8    = 6
!      integer, parameter ::  COMPLEX16= 7

!     --------------------------------
!     setopt/getopt options for 'what'
!     --------------------------------
      integer, parameter ::  PVMROUTE       = 1
      integer, parameter ::  PVMDEBUGMASK   = 2
      integer, parameter ::  PVMAUTOERROR   = 3
      integer, parameter ::  PVMOUTPUTTID   = 4
      integer, parameter ::  PVMOUTPUTCODE  = 5
      integer, parameter ::  PVMTRACETID    = 6
      integer, parameter ::  PVMTRACECODE   = 7
      integer, parameter ::  PVMFRAGSIZE    = 8
      integer, parameter ::  PVMRESVTIDS    = 9
      integer, parameter ::  PVMSOUTPUTTID  = 10
      integer, parameter ::  PVMSOUTPUTCODE = 11
      integer, parameter ::  PVMSTRACETID   = 12
      integer, parameter ::  PVMSTRACECODE  = 13
      integer, parameter ::  PVMSHOWTIDS    = 14
      integer, parameter ::  PVMPOLLTYPE    = 15
      integer, parameter ::  PVMPOLLTIME    = 16

!     --------------------------------------------
!     poll type options for 'how' in setopt function
!     --------------------------------------------
      integer, parameter ::  PVMPOLLCONSTANT = 1
      integer, parameter ::  PVMPOLLSLEEP    = 2

!     --------------------------------------------
!     routing options for 'how' in setopt function
!     --------------------------------------------
      integer, parameter ::  PVMDONTROUTE  = 1
      integer, parameter ::  PVMALLOWDIRECT= 2
      integer, parameter ::  PVMROUTEDIRECT= 3

!     --------------------------
!     error 'info' return values
!     --------------------------
      integer, parameter ::  PvmOk         =   0
      integer, parameter ::  PvmBadParam   =  -2
      integer, parameter ::  PvmMismatch   =  -3
      integer, parameter ::  PvmNoData     =  -5
      integer, parameter ::  PvmNoHost     =  -6
      integer, parameter ::  PvmNoFile     =  -7
      integer, parameter ::  PvmNoMem      = -10
      integer, parameter ::  PvmBadMsg     = -12
      integer, parameter ::  PvmSysErr     = -14
      integer, parameter ::  PvmNoBuf      = -15
      integer, parameter ::  PvmNoSuchBuf  = -16
      integer, parameter ::  PvmNullGroup  = -17
      integer, parameter ::  PvmDupGroup   = -18
      integer, parameter ::  PvmNoGroup    = -19
      integer, parameter ::  PvmNotInGroup = -20
      integer, parameter ::  PvmNoInst     = -21
      integer, parameter ::  PvmHostFail   = -22
      integer, parameter ::  PvmNoParent   = -23
      integer, parameter ::  PvmNotImpl    = -24
      integer, parameter ::  PvmDSysErr    = -25
      integer, parameter ::  PvmBadVersion = -26
      integer, parameter ::  PvmOutOfRes   = -27
      integer, parameter ::  PvmDupHost    = -28
      integer, parameter ::  PvmCantStart  = -29
      integer, parameter ::  PvmAlready    = -30
      integer, parameter ::  PvmNoTask     = -31
      integer, parameter ::  PvmNoEntry    = -32
      integer, parameter ::  PvmDupEntry   = -33

END MODULE PVM_Constants
