MODULE PVM_Types
  ! Laurent Gasser (lga@sma.ch) 
  ! Swiss Meteorological Institute, Zuerich
  ! 15 October 1996
  ! Types for PVM calls (version 3.3.11).

  IMPLICIT NONE

  INTEGER, PARAMETER :: NAME_MAX_LENGTH = 255

  ! returned by pvm_config()
  TYPE ::  pvmhostinfo 
     INTEGER                    :: hi_tid    ! task ID of the deamon pvmd
     CHARACTER(NAME_MAX_LENGTH) :: hi_name   ! host name 
     CHARACTER(NAME_MAX_LENGTH) :: hi_arch   ! host architecture 
     INTEGER                    :: hi_speed  ! CPU relative speed 
  END TYPE pvmhostinfo

  ! returned by pvm_tasks()
  TYPE :: pvmtaskinfo 
     INTEGER                    :: ti_tid    ! task ID 
     INTEGER                    :: ti_ptid   ! parent task ID 
     INTEGER                    :: ti_host   ! task ID of the deamon pvmd
     INTEGER                    :: ti_flag   ! status flags 
     CHARACTER(NAME_MAX_LENGTH) :: ti_a_out  ! a.out name (executable)
     INTEGER                    :: ti_pid    ! task (O/S dependent) process id 
  END TYPE pvmtaskinfo

END MODULE PVM_Types
